Bug 257183 - Failed to add tag to database
Summary: Failed to add tag to database
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Mysql (show other bugs)
Version: 1.5.0
Platform: Fedora RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-17 20:32 UTC by Tomas Jankovic
Modified: 2017-07-25 19:05 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Jankovic 2010-11-17 20:32:03 UTC
Version:           1.5.0 (using KDE 4.5.2) 
OS:                Linux

I cannot add any tag. This action always ended with error - "Failed to add tag to database".  I use MySQL database to store relevant data.

Reproducible: Always

Steps to Reproduce:
add new tag

Actual Results:  
error has occured

Expected Results:  
new tag is added

Version of MySQL server is 5.0.51a-24+lenny4. "Tags" and "Tags Tree" tables are empty.
Comment 1 Francesco Riosa 2011-05-09 17:01:40 UTC
@bug_id = 257183
@bug_status = RESOLVED
@resolution = FIXED

Git commit ec7ceeea0d2587abb9f1bdd17109d4903998e943 by Francesco Riosa.
Committed on 09/05/2011 at 14:20.
Pushed by riosa into branch 'master'.

more resilient database upgrade and startup

All statements are made resilient to a partially upgraded database.
- CREATE TABLE are done with IF NOT EXISTS
- TRIGGERs are dropped and re-created
- a new stored procedure is added "create_index_if_not_exists"
  the procedure check in information_schema if the index exists,
  if not does create it
- all INDEXes are created using "create_index_if_not_exists"

BUG: 271924
BUG: 258409
BUG: 257183
BUG: 267733
BUG: 262231
BUG: 233770

M  +90   -56   data/database/dbconfig.xml.cmake     

http://commits.kde.org/digikam/ec7ceeea0d2587abb9f1bdd17109d4903998e943